# Model relationships to be included in the project import/export
project_tree:
  - labels:
      :priorities
  - milestones:
    - :events
  - issues:
    - :events
    - :timelogs
    - notes:
      - :author
      - :events
    - label_links:
      - label:
          :priorities
    - milestone:
      - :events
  - snippets:
    - :award_emoji
    - notes:
        :author
  - :releases
  - project_members:
    - :user
  - merge_requests:
    - notes:
      - :author
      - :events
    - :merge_request_diff
    - :events
    - :timelogs
    - label_links:
      - label:
          :priorities
    - milestone:
      - :events
  - pipelines:
    - notes:
      - :author
      - :events
    - :statuses
  - triggers:
    - :trigger_schedule
  - :services
  - :hooks
  - protected_branches:
    - :merge_access_levels
    - :push_access_levels
  - protected_tags:
    - :create_access_levels
  - :project_feature

# Only include the following attributes for the models specified.
included_attributes:
  user:
    - :id
    - :email
    - :username
  author:
    - :name

# Do not include the following attributes for the models specified.
excluded_attributes:
  project:
    - :name
    - :path
    - :namespace_id
    - :creator_id
    - :import_url
    - :import_status
    - :avatar
    - :import_type
    - :import_source
    - :import_error
    - :mirror
    - :runners_token
    - :repository_storage
    - :repository_read_only
    - :lfs_enabled
    - :import_jid
    - :created_at
    - :updated_at
    - :import_jid
    - :import_jid
    - :id
    - :star_count
    - :last_activity_at
    - :last_repository_updated_at
    - :last_repository_check_at
  snippets:
    - :expired_at
  merge_request_diff:
    - :st_diffs
  issues:
    - :milestone_id
  merge_requests:
    - :milestone_id
  award_emoji:
    - :awardable_id
  statuses:
    - :trace
    - :token

methods:
  labels:
    - :type
  label:
    - :type
  statuses:
    - :type
    - :gl_project_id
  services:
    - :type
  merge_request_diff:
    - :utf8_st_diffs
  merge_requests:
    - :diff_head_sha
  project:
    - :description_html